using Hotline.Exams.Base;
using SqlSugar;
using System.ComponentModel;

namespace Hotline.Exams.ExamManages
{
    /// <summary>
    /// 考试试题答案
    /// </summary>
    [Description("考试试题答案")]
    public class ExamQuestionAnswerBak:ExamBusinessEntity
    {
        /// <summary>
        /// 考试明细Id
        /// </summary>
        [SugarColumn(ColumnDescription = "考试明细Id")]
        [Description("考试明细Id")]
        public string ExamQuestionId { get; set; }

        /// <summary>
        /// 题库Id
        /// </summary>
        [Description("题库Id")]
        [SugarColumn(ColumnDescription = "题库Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [SugarColumn(ColumnDescription = "答案")]
        [Description("答案")]
        public string? Answer { get; set; }

        /// <summary>
        /// 题库答案Id
        /// </summary>
        [SugarColumn(ColumnDescription = "题库答案Id")]
        [Description("题库答案Id")]
        public string QuestionAnswerId { get; set; }
    }
}
